#!/bin/sh
sync
#
# We might be upgrading which in that case, we really do
# not want to do this.
#
# TL: disable the silentstop part, this is handled in debian/preinst
#if [ $1 -eq 2 ]; then
#	echo "Completing hpasm package Upgrade. . ."
#	#silentstop takes everything down (even other dependent services NOT contained in package)
#	sh /opt/compaq/hpasm/etc/hpasm silentstop
#fi

#
# Display EULA for Source Modules
#
echo "Please read the Licence Agreement for this software at"
echo 
echo "         /opt/compaq/hpasm/hpasm.license"
echo 
echo "By not removing this package, you are accepting the terms"
echo "of the \"License for HP Value Added Software\"."

#This gives us a chance to override EVs etc.
if [ -f /etc/hpasmrc ]; then
	source /etc/hpasmrc
fi

# Soft link the script to /sbin
ln -sf /opt/compaq/hpasm/etc/hpasm /sbin/hpasm


STARTUP=""
CMASILENT="`echo $CMASILENT | tr "\""[a-z]"\"" "\""[A-Z]"\""`"
CMAFDTNSILENT="`echo $CMAFDTNSILENT | tr "\""[a-z]"\"" "\""[A-Z]"\""`"
if [ "$CMASILENT" = "YES" -o "$CMAFDTNSILENT" = "YES" ]; then
	STARTUP=`uname -r | egrep "$CMAKERNELVERSION"`
fi

RC=0
if [ ! -z "$STARTUP" ]; then
        
	sh /opt/compaq/hpasm/etc/hpasm postinstall 
	RC=$?
else
	echo "=============================================================================="
	echo "NOTE: In order to activate the software contained in this package, you must"
	echo "      type 'hpasm activate' as 'root' user." 
	echo "      You may subsequently reset your agent configuration by typing"
	echo "      '/etc/init.d/hpasm configure' or '/etc/init.d/hpasm reconfigure'." 
	echo "=============================================================================="
fi

#build a manifest of files/subdirs that were present in the directories we created
#find /opt/compaq/webagent >> /opt/compaq/hpasm/addon/direntries.txt


if [ $RC -eq 0 ]; then
	echo "The hpasm package has installed successfully."
	# TL: /var/lock/subsys -> /var/lock
	touch  /var/lock/hpasm
else
	echo "The hpasm package installation failed!"
	echo "See /opt/compaq/cpqhealth/cpqhealth_boot.log for Health Driver details."
	echo "See /var/spool/compaq/cma.log for Agent details."
fi
